{% extends 'base.html.twig' %}
{% block header_title %}Réunions du mois de {{ program.startDate|format_date('none', 'MMMM y', locale='fr') }}{% endblock %}
{% block header_subtitle %}Discours publics{% endblock %}
{% block body %}
    <div class="col-xxl-12 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-stretch">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">{{ program.startDate|format_date('none', 'MMMM y', locale='fr')|capitalize }}</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner p-0 border-top">
                <form action="{{ path }}" method="post">
                    <div class="nk-tb-list nk-tb-orders">
                        <div class="nk-tb-item nk-tb-head">
                            <div class="nk-tb-col tb-col"><span>Date</span></div>
                            <div class="nk-tb-col tb-col-md"><span>Type</span></div>
                            <div class="nk-tb-col tb-col-md"><span>Thème discours</span></div>
                            <div class="nk-tb-col tb-col-md"><span>Orateur</span></div>
                            <div class="nk-tb-col tb-col-md"><span>Président</span></div>
                            <div class="nk-tb-col tb-col-md"><span>Lecteur</span></div>
                        </div>
                        {% set index = 0 %}
                        {% for formWE in form.weekends %}
                            <div class="nk-tb-item">
                                <div class="nk-tb-col nk-tb-col-program">
                                    {{ form_widget(formWE.date) }}
                                    <small class="text-muted form-text">&nbsp;</small>
                                </div>
                                <div class="nk-tb-col nk-tb-col-program">
                                    {{ form_widget(formWE.category) }}
                                    <small class="text-muted form-text">&nbsp;</small>
                                </div>
                                <div class="nk-tb-col tb-col-md nk-tb-col-speech">
                                    {{ form_widget(formWE.speech) }}
                                    <small class="form-text text-muted text-muted-speech">&nbsp;</small>
                                </div>
                                <div class="nk-tb-col tb-col nk-tb-col-program">
                                    {{ form_widget(formWE.speaker) }}
                                    {{ form_widget(formWE.externalSpeaker) }}
                                    <small class="text-muted form-text">&nbsp;</small>
                                </div>
                                <div class="nk-tb-col tb-col nk-tb-col-program">
                                    {{ form_widget(formWE.chairman) }}
                                    {{ form_errors(formWE.chairman) }}
                                    <small class="text-muted form-text">&nbsp;</small>
                                </div>
                                <div class="nk-tb-col tb-col nk-tb-col-program">
                                    {{ form_widget(formWE.reader) }}
                                    <small class="text-muted form-text">&nbsp;</small>
                                </div>

                            </div>

                            {% set index = index + 1 %}
                        {% endfor %}
                    </div>
                    <div class="card-footer bg-light">
                        <div class="form-group">
                            {{ form_widget(form.isDraft) }}
                        </div>
                        <div class="form-group">
                            {{ form_widget(form._token) }}
                            <button class="btn btn-success" type="submit"><em class="icon ni ni-save-fill me-1"></em> Enregistrer</button>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div><!-- .col -->
    <div class="modal fade" tabindex="-1" id="modalAjaxEditAssignment">
    </div>
{% endblock %}

{% block javascripts %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.4/moment-with-locales.min.js"></script>
    <script>

        moment.locale('fr');
        const $categoryInput = $('.category-input');
        $categoryInput.each(function() {
            disablingInput($(this));
            $(this).change(function (e) {
                disablingInput($(this));
            })
        })

        function disablingInput(input) {
            const id = input.val();
            fetch("/meeting/weekend/categories/show/" + id).then((response) => {
                return response.json();
            })
                .then((category) => {
                    const $parent = input.parent().parent()
                    const $speaker = $parent.find('.speaker-input');
                    const $chairman = $parent.find('.chairman-input');
                    const $reader = $parent.find('.reader-input');
                    const $speech = $parent.find('.speech-input');
                    const $external = $parent.find('.external-input');

                    $($speaker).prop('disabled', !category.speakerEnabled);
                    $($chairman).prop('disabled', !category.chairmanEnabled);
                    $($speech).prop('disabled', !category.speechEnabled);
                    $($reader).prop('disabled', !category.readerEnabled);

                    if (category.externalSpeakerEnabled) {
                        $($speaker).select2('destroy');
                        $($speaker).addClass('d-none');
                        $($external).removeClass('d-none');
                    }
                    if (category.speakerEnabled) {
                        $($speaker).select2({
                            width: '20%'
                        });
                        $($speaker).removeClass('d-none');
                        $($external).addClass('d-none');
                    }
                })
        }


        $('.speech-input').on('select2:select', function (e) {
            const id = $(this).val();
            fetch('/meeting/weekend/speeches/last/' + id).then((response) => {
                return response.json()
            }).then((json) => {
                    console.log(json)
                    if (json.date) {
                        const date = new Date(json.date);
                        const dateStr = moment(date).format('D MMMM Y')
                        $(this).parent().find('.text-muted-speech').text('Ce discours a été programmé pour le ' + dateStr)
                    } else {
                        $(this).parent().find('.text-muted-speech').text('\u00A0');
                    }
                })
        });

        $('.speech-input').on('select2:unselect', function (e) {
            $(this).parent().find('.text-muted-speech').text('\u00A0');
        })


    </script>
{% endblock %}
